List label values
curl --request GET \
--url https://v1.api.altostrat.io/metrics/labels/{labelName}/values \
--header 'Authorization: Bearer <token>'import requests
url = "https://v1.api.altostrat.io/metrics/labels/{labelName}/values"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://v1.api.altostrat.io/metrics/labels/{labelName}/values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
"9c69345c-8d39-4786-9f17-8153c988c89a"
]{
"type": "invalid_request_error",
"code": "parameter_invalid",
"message": "The provided 'siteId' is not a valid UUID.",
"doc_url": "https://docs.altostrat.io/errors/parameter_invalid"
}{
"type": "invalid_request_error",
"code": "parameter_invalid",
"message": "The provided 'siteId' is not a valid UUID.",
"doc_url": "https://docs.altostrat.io/errors/parameter_invalid"
}Prometheus Querying
List label values
Returns Prometheus values for a label available to the authenticated workspace and organization.
GET
/
metrics
/
labels
/
{labelName}
/
values
List label values
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The Prometheus label name.
Example:
"site_id"
Query Parameters
Unix timestamp for the beginning of the discovery window. Defaults to one hour ago.
Unix timestamp for the end of the discovery window. Defaults to now.
Response
Label values.
Example:
["9c69345c-8d39-4786-9f17-8153c988c89a"]
Was this page helpful?
⌘I